Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1598132 - No Network Utilization data is shown in the CFME Web Console [NEEDINFO]
Summary: No Network Utilization data is shown in the CFME Web Console
Keywords:
Status: NEW
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.11.0
Assignee: Oved Ourfali
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-04 12:23 UTC by Imaan
Modified: 2019-04-01 03:22 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Category: ---
Cloudforms Team: ---
Target Upstream Version:
rchincho: needinfo? (rvargasp)


Attachments (Terms of Use)
Openshift Web console (deleted)
2018-07-04 12:23 UTC, Imaan
no flags Details
Network Utilization Trend show 0 KBps (deleted)
2019-02-04 10:33 UTC, Rahul Chincholkar
no flags Details

Description Imaan 2018-07-04 12:23:46 UTC
Created attachment 1456495 [details]
Openshift Web console

Description of problem:

No Network Utilization data is shown in the CFME Web Console. 

Version-Release number of selected component (if applicable):

Red Hat CloudForms 4.6

How reproducible:100%

Actual results: Several hawkular related errors have been captured as : 

[----] E, [2018-06-29T13:02:03.922956 #11690:b31118] ERROR -- : MIQ(MiqQueue#deliver) Message id: [49000008294355], Error: [Hawkular::Exception: <html><head><title>Error</title></head><body>404 - Not Found</body></html>]
[----] E, [2018-06-29T13:02:03.923183 #11690:b31118] ERROR -- : [ManageIQ::Providers::Kubernetes::ContainerManager::MetricsCapture::CollectionFailure]: Hawkular::Exception: <html><head><title>Error</title></head><body>404 - Not Found</body></html>  Method:[block in method_missing]
[----] E, [2018-06-29T13:02:03.923330 #11690:b31118] ERROR -- : /opt/rh/cfme-gemset/bundler/gems/cfme-providers-kubernetes-90de55ae9833/app/models/manageiq/providers/kubernetes/container_manager/metrics_capture/hawkular_legacy_capture_context.rb:59:in `rescue in fetch_counters_data'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-kubernetes-90de55ae9833/app/models/manageiq/providers/kubernetes/container_manager/metrics_capture/hawkular_legacy_capture_context.rb:49:in `fetch_counters_data'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-kubernetes-90de55ae9833/app/models/manageiq/providers/kubernetes/container_manager/metrics_capture/hawkular_legacy_capture_context.rb:91:in `fetch_counters_rate'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-kubernetes-90de55ae9833/app/models/manageiq/providers/kubernetes/container_manager/metrics_capture/hawkular_legacy_capture_context.rb:24:in `collect_container_metrics'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-kubernetes-90de55ae9833/app/models/manageiq/providers/kubernetes/container_manager/metrics_capture/capture_context_mixin.rb:28:in `collect_metrics'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-kubernetes-90de55ae9833/app/models/manageiq/providers/kubernetes/container_manager/metrics_capture.rb:113:in `block in perf_collect_metrics'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-b40252a6aadc/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-b40252a6aadc/lib/gems/pending/util/extensions/miq-benchmark.rb:28:in `realtime_block'
/opt/rh/cfme-gemset/bundler/gems/cfme-providers-kubernetes-90de55ae9833/app/models/manageiq/providers/kubernetes/container_manager/metrics_capture.rb:111:in `perf_collect_metrics'
/var/www/miq/vmdb/app/models/metric/ci_mixin/capture.rb:6:in `perf_collect_metrics'
/var/www/miq/vmdb/app/models/metric/ci_mixin/capture.rb:193:in `block in just_perf_capture'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-b40252a6aadc/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/cfme-gems-pending-b40252a6aadc/lib/gems/pending/util/extensions/miq-benchmark.rb:35:in `realtime_block'
/var/www/miq/vmdb/app/models/metric/ci_mixin/capture.rb:189:in `just_perf_capture'
/var/www/miq/vmdb/app/models/metric/ci_mixin/capture.rb:135:in `perf_capture'
/var/www/miq/vmdb/app/models/metric/ci_mixin/capture.rb:117:in `perf_capture_realtime'
/var/www/miq/vmdb/app/models/miq_queue.rb:449:in `block in dispatch_method'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:91:in `block in timeout'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `block in catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:106:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:448:in `dispatch_method'
/var/www/miq/vmdb/app/models/miq_queue.rb:425:in `block in deliver'
/var/www/miq/vmdb/app/models/user.rb:261:in `with_user_group'
/var/www/miq/vmdb/app/models/miq_queue.rb:425:in `deliver'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:104:in `deliver_queue_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:134:in `deliver_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:152:in `block in do_work'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:146:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:146:in `do_work'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:329:in `block in do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:326:in `loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:326:in `do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:153:in `run'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:127:in `start'


Expected results:

It should display the network utilization.

Additional info:

The OCP Web console has shown the Network Traffic --Refer the attached image

Comment 16 Rahul Chincholkar 2019-02-04 10:33:51 UTC
Created attachment 1526715 [details]
Network Utilization Trend show 0 KBps


Note You need to log in before you can comment on or make changes to this bug.